package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussMerchantBillStatistics implements Serializable {
    private Integer id;

    private Integer userid;

    private Date startdate;

    private Date enddate;

    private Date laststartdate;

    private Date lastenddate;

    private Byte type;

    private BigDecimal amount;

    private Integer count;

    private String remark;

    private Date createtime;

    private Date updatetime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserid() {
        return userid;
    }

    public void setUserid(Integer userid) {
        this.userid = userid;
    }

    public Date getStartdate() {
        return startdate;
    }

    public void setStartdate(Date startdate) {
        this.startdate = startdate;
    }

    public Date getEnddate() {
        return enddate;
    }

    public void setEnddate(Date enddate) {
        this.enddate = enddate;
    }

    public Date getLaststartdate() {
        return laststartdate;
    }

    public void setLaststartdate(Date laststartdate) {
        this.laststartdate = laststartdate;
    }

    public Date getLastenddate() {
        return lastenddate;
    }

    public void setLastenddate(Date lastenddate) {
        this.lastenddate = lastenddate;
    }

    public Byte getType() {
        return type;
    }

    public void setType(Byte type) {
        this.type = type;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }
}